WPS8TextStyle Class Reference documentation

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
WPS8TextStyle Class Reference

`#include <WPS8TextStyle.h>`

## Classes
struct | FontData

## Public Member Functions
| WPS8TextStyle (WPS8Text &parser)
| ~WPS8TextStyle ()
void | setListener (WPSContentListenerPtr &listen)
| sets the listener More...
bool | readStructures ()
| finds all entries which correspond to the styles, parses them and stores data More...

## Protected Member Functions
bool | readFontNames (WPSEntry const &entry)
| reads the font names More...
bool | readFont (long endPos, int &id, std::string &mess)
| reads a font properties More...
void | sendFont (int fId, FontData &data)
bool | readParagraph (long endPos, int &id, std::string &mess)
| the paragraph More...
void | sendParagraph (int pId)
bool | readSTSH (WPSEntry const &entry)
| reads a style sheet zone More...
bool | readSGP (WPSEntry const &entry)
| parses a SGP zone: style general property ? More...
bool | findFDPStructures (int which, std::vector< WPSEntry > &result)
| finds the FDPC/FDPP structure using the BTEC/BTEP entries which == 0 means FDPP, 1 means FDPC More...
bool | findFDPStructuresByHand (int which, std::vector< WPSEntry > &result)
| finds the FDPC/FDPP structure by searching after the text zone which == 0 means FDPP, 1 means FDPC More...
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Attributes
WPS8Text & | m_mainParser
| the main parser More...
RVNGInputStreamPtr | m_input
| the main input More...
WPSContentListenerPtr | m_listener
| the listener More...
shared_ptr< WPS8TextStyleInternal::State > | m_state
| the internal state More...
libwps::DebugFile & | m_asciiFile
| the ascii file More...

## Private Member Functions
| WPS8TextStyle (WPS8TextStyle const &orig)
| private copy constructor: forbidden More...
WPS8TextStyle & | operator= (WPS8TextStyle const &orig)
| private copy operator: forbidden More...

## Friends
class | WPS8Text

## Constructor & Destructor Documentation

## ◆ WPS8TextStyle() [1/2]

WPS8TextStyle::WPS8TextStyle | ( | WPS8Text & | parser | ) |
| explicit

## ◆ ~WPS8TextStyle()

WPS8TextStyle::~WPS8TextStyle | ( |  | ) |

## ◆ WPS8TextStyle() [2/2]

WPS8TextStyle::WPS8TextStyle | ( | WPS8TextStyle const & | orig | ) |
| private

private copy constructor: forbidden

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile& WPS8TextStyle::ascii | ( |  | ) |
| inlineprotected

a DebugFile used to write what we recognize when we parse the document

Referenced by readFontNames(), readSGP(), and readSTSH().

## ◆ findFDPStructures()

bool WPS8TextStyle::findFDPStructures | ( | int | which,
|  | std::vector< WPSEntry > & | result
| ) |  |
| protected

finds the FDPC/FDPP structure using the BTEC/BTEP entries which == 0 means FDPP, 1 means FDPC

Referenced by readStructures().

## ◆ findFDPStructuresByHand()

bool WPS8TextStyle::findFDPStructuresByHand | ( | int | which,
|  | std::vector< WPSEntry > & | result
| ) |  |
| protected

finds the FDPC/FDPP structure by searching after the text zone which == 0 means FDPP, 1 means FDPC

Referenced by readStructures().

## ◆ operator=()

WPS8TextStyle& WPS8TextStyle::operator= | ( | WPS8TextStyle const & | orig | ) |
| private

private copy operator: forbidden

## ◆ readFont()

bool WPS8TextStyle::readFont | ( | long | endPos,
|  | int & | id,
|  | std::string & | mess
| ) |  |
| protected

reads a font properties

Referenced by WPS8Text::mainParser(), and readSTSH().

## ◆ readFontNames()

bool WPS8TextStyle::readFontNames | ( | WPSEntry const & | entry | ) |
| protected

reads the font names

Referenced by readStructures().

## ◆ readParagraph()

bool WPS8TextStyle::readParagraph | ( | long | endPos,
|  | int & | id,
|  | std::string & | mess
| ) |  |
| protected

the paragraph

Note: I also find a val 0x2D which seems to have some sense in correspondance with field 15 (val 0x29) and field 1c

Referenced by WPS8Text::mainParser(), and readSTSH().

## ◆ readSGP()

bool WPS8TextStyle::readSGP | ( | WPSEntry const & | entry | ) |
| protected

parses a SGP zone: style general property ?

Referenced by readStructures().

## ◆ readStructures()

bool WPS8TextStyle::readStructures | ( |  | ) |

finds all entries which correspond to the styles, parses them and stores data

## ◆ readSTSH()

bool WPS8TextStyle::readSTSH | ( | WPSEntry const & | entry | ) |
| protected

reads a style sheet zone

Warning
  the read data are NOT used

## ◆ sendFont()

void WPS8TextStyle::sendFont | ( | int | fId,
|  | WPS8TextStyle::FontData & | data
| ) |  |
| protected

## ◆ sendParagraph()

void WPS8TextStyle::sendParagraph | ( | int | pId | ) |
| protected

## ◆ setListener()

void WPS8TextStyle::setListener | ( | WPSContentListenerPtr & | listen | ) |
| inline

sets the listener

## Friends And Related Function Documentation

## ◆ WPS8Text

friend class WPS8Text
| friend

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile& WPS8TextStyle::m_asciiFile
| protected

the ascii file

## ◆ m_input

RVNGInputStreamPtr WPS8TextStyle::m_input
| protected

the main input

Referenced by readFont(), readFontNames(), readParagraph(), readSGP(), and readSTSH().

## ◆ m_listener

WPSContentListenerPtr WPS8TextStyle::m_listener
| protected

the listener

Referenced by sendFont(), and sendParagraph().

## ◆ m_mainParser

WPS8Text& WPS8TextStyle::m_mainParser
| protected

the main parser

Referenced by findFDPStructures(), findFDPStructuresByHand(), WPS8Text::mainParser(), readStructures(), and readSTSH().

## ◆ m_state

shared_ptr<WPS8TextStyleInternal::State> WPS8TextStyle::m_state
| mutableprotected

the internal state

Referenced by readFont(), readFontNames(), readParagraph(), sendFont(), sendParagraph(), and WPS8TextStyle().

The documentation for this class was generated from the following files:

- WPS8TextStyle.h
- WPS8TextStyle.cpp